# Get News Summary

Invokes LLM to generate news summaries for watchlist.

# OpenAPI definition

```json
{
  "info": {
    "title": "Webull Open API Reference",
    "description": "application.yml\\ncom\\ni18n\\nMETA-INF\\nstatic\\n\\r\\n",
    "contact": {
      "name": "",
      "url": "",
      "email": ""
    },
    "version": "2.0",
    "x-logo": {
      "url": "static/png/logo.png"
    }
  },
  "servers": [
    {
      "url": "https://hk-co-branding-openapi.uat.webullbroker.com"
    }
  ],
  "path": "/market-data/news/summaries/get",
  "method": "post",
  "tags": [
    "News"
  ],
  "description": "Invokes LLM to generate news summaries for watchlist.",
  "operationId": "watchlistSummaryUsingPOST",
  "parameters": [
    {
      "name": "access_token",
      "in": "header",
      "description": "User's authenticated token.",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "name": "reqid",
      "in": "header",
      "description": "The unique ID for this request. Suggest using UUID.",
      "schema": {
        "type": "string"
      },
      "example": "2e46d5a4-bef9-4507-8cda-98f85d2f770c"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "category_symbols": {
              "type": "array",
              "description": "List of security symbols by category.",
              "items": {
                "required": [
                  "category",
                  "symbols"
                ],
                "type": "object",
                "properties": {
                  "category": {
                    "type": "string",
                    "description": "Security type. Category values are as shown in the enum.",
                    "example": "US_STOCK",
                    "enum": [
                      "US_STOCK"
                    ]
                  },
                  "symbols": {
                    "type": "array",
                    "description": "List of security symbols, supports JSON array format.",
                    "example": [
                      "AAPL",
                      "GOOG"
                    ],
                    "items": {
                      "type": "string",
                      "description": "List of security symbols, supports JSON array format.",
                      "example": "[\"AAPL\",\"GOOG\"]"
                    }
                  }
                },
                "description": "List of security symbols by security type",
                "title": "MultiCategory"
              }
            },
            "lang": {
              "type": "string",
              "description": "Support language, enum: [en].",
              "example": "en"
            }
          },
          "description": "Chat request parameters",
          "title": "ChatRequest"
        },
        "example": {
          "category_symbols": {
            "category": "US_STOCK",
            "symbols": [
              "AAPL",
              "GOOG"
            ]
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "Server-Sent Events stream. Each message contains JSON data.\n\nExample stream:\n```\nevent:message\ndata:{\"type\":\"meta\",\"args\":{\"sessionId\":\"1\",\"convId\":451107711450219}}\n\nevent:message\ndata:{\"type\":\"text\",\"message\":\"Hi\"}\n\nevent:message\ndata:{\"type\":\"text\",\"message\":\", I'm Wally an\"}\n\nevent:message\ndata:{\"type\":\"text\",\"message\":\"d I'll help you with this question\"}\n```\n\n**Response Types:**\n- **text**: Markdown text\n- **table**: `{ headers: {text: \"<Title>\"}[], rows: {text: \"Row Text\"}[][] }`",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "type": {
                "type": "string",
                "description": "Message type",
                "example": "text",
                "enum": [
                  "meta",
                  "text",
                  "table"
                ]
              },
              "message": {
                "type": "string",
                "description": "Message content (for text type)",
                "example": "Hi, I'm Wally"
              },
              "args": {
                "type": "object",
                "description": "Additional arguments (for meta type)"
              },
              "headers": {
                "type": "object",
                "description": "Table headers (for table type)"
              },
              "rows": {
                "type": "object",
                "description": "Table rows (for table type)"
              }
            },
            "description": "Chat stream response message",
            "title": "ChatStreamResponse"
          }
        }
      }
    }
  },
  "jsonRequestBodyExample": {
    "category_symbols": [
      {
        "category": "US_STOCK",
        "symbols": [
          "AAPL",
          "GOOG"
        ]
      }
    ],
    "lang": "en"
  },
  "postman": {
    "name": "Get News Summary",
    "description": {
      "content": "Invokes LLM to generate news summaries for watchlist.",
      "type": "text/plain"
    },
    "url": {
      "path": [
        "market-data",
        "news",
        "summaries",
        "get"
      ],
      "host": [
        "{{baseUrl}}"
      ],
      "query": [],
      "variable": []
    },
    "header": [
      {
        "disabled": false,
        "description": {
          "content": "(Required) User's authenticated token.",
          "type": "text/plain"
        },
        "key": "access_token",
        "value": ""
      },
      {
        "disabled": false,
        "description": {
          "content": "The unique ID for this request. Suggest using UUID.",
          "type": "text/plain"
        },
        "key": "reqid",
        "value": ""
      },
      {
        "key": "Content-Type",
        "value": "application/json"
      },
      {
        "key": "Accept",
        "value": "application/json"
      }
    ],
    "method": "POST",
    "body": {
      "mode": "raw",
      "raw": "",
      "options": {
        "raw": {
          "language": "json"
        }
      }
    }
  }
}
```
